%define gemname grit
%define _with_doc 0

Name:       ruby-%gemname
Version:    2.5.0
Release:    %mkrel 10
Summary:    Grit is a Ruby library for extracting information from a git repository in an object oriented manner
Group:      Development/Ruby
License:    GPLv2+
URL:        https://github.com/mojombo/grit
Source0:    http://rubygems.org/downloads/%gemname-%version.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Grit is a Ruby library for extracting information from a git 
repository in an object oriented manner.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%if %_with_doc
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%endif
#-------------------------------------------------------------------------------

%prep
%setup -q

tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%if ! %_with_doc
rm -fr %buildroot%{gem_dir}/doc
%endif


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 2.5.0-10.mga4
+ Revision: 561947
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.5.0-9.mga4
+ Revision: 561281
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.5.0-8.mga4
+ Revision: 535444
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.5.0-7.mga4
+ Revision: 482064
- Rebuild for Ruby 2

* Tue Sep 10 2013 pterjan <pterjan> 2.5.0-6.mga4
+ Revision: 476991
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 2.5.0-5.mga3
+ Revision: 396007
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.5.0-4.mga3
+ Revision: 380951
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 2.5.0-3.mga3
+ Revision: 312577
- drop those unwated br

* Sat Aug 04 2012 dmorgan <dmorgan> 2.5.0-2.mga3
+ Revision: 278363
- Do not package docs ( need work on rpmlint)
- imported package ruby-grit

